package de.unifreiburg.twodeedoo.world;

import java.awt.Color;
import java.awt.Graphics;

/**
 * Implementation of ICanvas using AWT Graphics.
 * @author anton
 *
 */
public class AwtCanvas implements ICanvas {

	private Graphics g;

	public AwtCanvas(Graphics g) {
		this.g = g;
	}

	@Override
	public void drawFilledCircle(int x, int y, int radius,
			Color color) {
		g.setColor(color);
		g.fillOval(x-radius, y-radius, 2*radius, 2*radius);
	}

	@Override
	public void drawText(int x, int y, String msg, Color color) {
		g.setColor(color);
		g.drawString(msg, x, y);
	}

	@Override
	public void drawFilledRect(int upperLeftX, int upperLeftY, int width,
			int height, Color color) {
		g.setColor(color);
		g.fillRect(upperLeftX, upperLeftY, width, height);
	}

	@Override
	public void drawLine(int x0, int y0, int x1, int y1, Color color) {
		g.setColor(color);
		g.drawLine(x0, y0, x1, y1);
	}

	@Override
	public Graphics getAwtGraphics() {
		return g;
	}

}
